Bug 137044 - FILEOPEN shape anchored to cell with resize looses end cell offset if shape area covers hidden row
Summary: FILEOPEN shape anchored to cell with resize looses end cell offset if shape a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-26 12:25 UTC by Regina Henschel
Modified: 2020-10-31 16:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File for reproducing the bug (9.50 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-09-26 12:25 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-09-26 12:25:59 UTC
Created attachment 165866 [details]
File for reproducing the bug

Open attached file. It has a shape anchored "To cell (Resize with Cell)". Hide row 3. The shape is adapted as expected. Save and reload the file. The shape has a wrong height.

Problem is, that for some reason in calculating the shape rectangle not the actual row height is used, but a default of 256 twips (=4.516 mm). 

This is not the same problem as bug 137033. In bug 137033 wrong values are written to file in case of transformed shapes. Here the values in the file are correct, but during opening a wrong height is calculated.
Comment 1 m.a.riosv 2020-10-03 11:50:31 UTC
Confirmed
Version: 6.4.7.1 (x64)
Build ID: 32fe9ceb49bbaa24397ab3ebad5eb8f5287d8086
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: GL; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US Calc: CL
Version: 7.1.0.0.alpha0+ (x64)
Build ID: dec9a123867dcd0fea4683beeb3b4b6659f926f3
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: es-ES Calc: threaded
Comment 2 Regina Henschel 2020-10-31 16:50:35 UTC
Should be fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?id=1f0b3c7a40edfa81bbc7a58d123a6a2dfd83e4ca

(The patch covers several bug reports, therefore no automatic notification.)